/*
  Ver1.0からの変更点　　　RaspberryPi と２バイトデータのシリアル通信をできるようにした 
  Ver2.0からの変更点　　　RaspberryPi とのシリアル通信の速度を9600bps から 115200bpsに変更した
 */

#include "define.h"

void setup() {
  
  io_open();
  encoder_open();
  motor_open();
  raspi_open();
  
}

void loop() {
 
  /* いずれか一つの関数を有効にする。*/
  
  /* RasPi からの指令で動作させるとき、slave を有効にする。*/
  slave();
  
  /* --------------機能のテスト---------------------------------------------
    テスト関数 test_*() のいずれかを有効にする。
    実行時にシリアルモニタを立ち上げて値を確認する。
  ------------------------------------------------------------------------- */

  /* モータ動作テスト 引数：左モータのPWM値、右モータのPWM値　（範囲は -255～255）*/
  //test_motor(100, 100);

  /* エンコーダテスト（モータを回転させて行う）*/
  //motor_set(-250, -250) ; test_encoder();
  /* 距離計のテスト（モータを回転させて行う）*/
  //motor_set(100, 100) ; test_distance();

  /* 速度制御のテスト　引数：左モータの速度[cm/s]、右モータの速度[cm/s] */
   //test_vel_ctrl(80, 80);

  /* 走行制御のテスト　
    引数：モード（直進：STR or 回転：ROT)、速度[cm/s] or 角速度[deg/s]、距離[cm] or 角度 の速度[deg] */
  //test_run_ctrl(STR, 20, 200);
  //test_run_ctrl(ROT,20, 180);
  
  //run_execution(ROT, 45, -90);

  /* バッテリー値の確認 */
  //test_batt();

  /* シリア通信のエンコード、デコーダ値の確認 */
  //test_encode();
  //test_decode();
  
  /**/
  //test_infrared();

}

